#### D.5.17.3 productVariety

Procedure from library `schubert.lib` (see schubert_lib).

Usage:
  productVariety(U,V); U variety, V variety

Input:
  two abstract varieties

Output:
  a product variety as an abstract variety

Return:
  variety

Example:

    LIB "schubert.lib";
    variety P = projectiveSpace(3);
    variety G = Grassmannian(2,4);
    variety W = productVariety(P,G);
    W;
    ==> A variety of dimension 7
    ==>
    W.dimension == P.dimension + G.dimension;
    ==> 1
    def r = W.baseRing;
    setring r;
    W.relations;
    ==> _[1]=h^4
    ==> _[2]=q(1)^3-2*q(1)*q(2)
    ==> _[3]=q(1)^4-3*q(1)^2*q(2)+q(2)^2

See also: Grassmannian; projectiveBundle; projectiveSpace.

User manual for Singular version 4.4.1, 2025, generated by texi2html.